> For the complete documentation index, see [llms.txt](https://docs.console.zenlayer.com/api-reference/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.console.zenlayer.com/api-reference/networking/sdn/cloud-connect/describehuaweicloudvlanusage.md).

# DescribeHuaweiCloudVlanUsage

## 1. API Description

This API (DescribeHuaweiCloudVlanUsage) is used to query Huawei Cloud Access Point VLAN Usage

## 2. Input Parameters

The following request parameter list only provides API request parameters.

| Parameter Name | Required | Type   | Description                                                                                        |
| -------------- | -------- | ------ | -------------------------------------------------------------------------------------------------- |
| dcId           | Yes      | String | Data center ID of the access point.                                                                |
| pairingKey     | No       | String | Cloud platform pairing key, used to query the VLAN usage of the corresponding access point by key. |

## 3. Output Parameters

| Parameter Name | Type             | Description                                                                                                           |
| -------------- | ---------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String           | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| start          | Integer          | Start value of the available VLAN range.                                                                              |
| end            | Integer          | End value of the available VLAN range.                                                                                |
| usedVlans      | Array of Integer | List of VLANs already in use.                                                                                         |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**1. Query the VLAN usage for the corresponding node accessing Huawei Cloud.**

```json
POST /api/v2/sdn HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeHuaweiCloudVlanUsage
<Common Request Params>

Request:
{
   "dcId": "11aff7e7-94b8-4aa1-ba93-85c1f5b96f29"
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId":"T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
    "usedVlans":[
        1024,
        1025,
        2,
        1026,
        1027
    ],
    "start":2,
    "end":4000
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](/api-reference/api-introduction/toolkit/api-sdk.md)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](/api-reference/api-introduction/instruction/commonerrorcode.md).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
